﻿
    //eTarget:   按钮ID
    //eArgument: 按钮事件参数,一般为''.
    //msgtitle:  提示信息的标题.
    //msgcontent:提示信息的内容.
    //selecttype:弹出的对话框类型.
    //cancelfun: 当用户点击取消按钮时要执行的客户端Javascript函数.无则传入null.
    function ShowMsg(eTarget,eArgument,msgtitle,msgcontent,selecttype,cancelfun){ 
       //有沒有__EVENTTARGET和eTarget按钮
       if(selecttype>=1 &&(!document.getElementById("__EVENTTARGET")||!document.getElementById(eTarget)))
       {
            return window.confirm(msgcontent);
       }
       var msgw,msgh,bordercolor; 
       msgw=400;//确认层的宽度
       msgh=150;//确认层的高宽度
       titleheight=25 //瓢虫的高度
       bordercolor="#ff6600";//边框颜色
       titlecolor="#ff6600";//标题颜色
       btnborderstyle="1px solid #ff6600";//按钮边框风格
       btnbgcolor="#FE8433";//按钮背景色
      
       var sWidth,sHeight; 
       sWidth=document.body.offsetWidth; 
       sHeight=screen.height; 
       sWidth = document.body.clientWidth;
       if(document.body.scrollWidth>sWidth){
            sWidth =  document.body.scrollWidth; 
       }
       sHeight = document.body.clientHeight;
       if(document.body.scrollHeight>sHeight){
            sHeight =  document.body.scrollHeight; 
       }
       var bgObj=document.createElement("div"); 
       bgObj.setAttribute('id','bgDiv'); 
       bgObj.style.position="absolute"; 
       bgObj.style.top="0"; 
       bgObj.style.background="#777"; 
       bgObj.style.filter="alpha(opacity=30)";
       bgObj.style.MozOpacity = 30/100;
       bgObj.style.left="0"; 
       bgObj.style.width=sWidth + "px"; 
       bgObj.style.height=sHeight + "px";   
       bgObj.style.zIndex = "10000"; 
       document.body.appendChild(bgObj); 
        
       var msgObj=document.createElement("div") 
       msgObj.setAttribute("id","msgDiv"); 
       msgObj.setAttribute("align","center"); 
       msgObj.style.background="white"; 
       msgObj.style.border="1px solid " + bordercolor; 
       msgObj.style.position = "absolute"; 
       msgObj.style.left = "50%"; 
       msgObj.style.top = "50%"; 
       msgObj.style.font="12px/1.6em Verdana, Geneva, Arial, Helvetica, sans-serif"; 
       msgObj.style.marginLeft = "-225px" ; 
       msgObj.style.marginTop = -75+document.documentElement.scrollTop+"px"; 
       msgObj.style.width = msgw + "px"; 
       msgObj.style.height =msgh + "px"; 
       if(selecttype==-1||selecttype==0){
            msgObj.style.height=msgh-50+"px";
       } 
       msgObj.style.textAlign = "center"; 
       msgObj.style.lineHeight ="25px"; 
       msgObj.style.zIndex = "10001"; 
        
       var title=document.createElement("h4"); 
       title.setAttribute("id","msgTitle");    
       title.style.margin="0"; 
       title.style.padding="3px"; 
       title.style.background=bordercolor; 
       title.style.filter="progid:DXImageTransform.Microsoft.Alpha(startX=20, startY=20, finishX=100, finishY=100,style=1,opacity=75,finishOpacity=100);"; 
       title.style.opacity="0.75"; 
       title.style.border="1px solid " + bordercolor; 
       title.style.height=titleheight+"px"; 
       title.style.font="12px Verdana, Geneva, Arial, Helvetica, sans-serif"; 
       title.style.color="white";
          
       if(selecttype==-1)
       {
           title.setAttribute("align","left"); 
           title.innerHTML=msgtitle;
       }
       else if(selecttype==0)//add close
       {
           title.style.cursor="pointer"; 
           title.setAttribute("align","right"); 
           title.innerHTML="Close"; 
           title.onclick=function(){ 
                  document.body.removeChild(bgObj); 
                  document.getElementById("msgDiv").removeChild(title); 
                  document.body.removeChild(msgObj); 
                  //取消后执行
                  if(cancelfun!=null&&cancelfun!='')
                  {
                      cancelfun();
                  }
                } 
       }
       else
       {
           title.setAttribute("align","left"); 
           title.innerHTML=msgtitle;         
       }
       
       document.body.appendChild(msgObj); 
       document.getElementById("msgDiv").appendChild(title); 
       var txt=document.createElement("p"); 
       txt.style.margin="1em 0";
       txt.setAttribute("id","msgTxt"); 
       txt.innerHTML=msgcontent; 
       document.getElementById("msgDiv").appendChild(txt);  
       
       //add buttom
       if(selecttype==1)//确定
       {
           //buttom
           var btnok=document.createElement("a"); 
           btnok.innerHTML="OK";
           btnok.style.marginTop="10px";
           btnok.style.marginBottom="5px";      
           btnok.style.width = "40px"; 
           btnok.style.height ="20px"; 
           btnok.style.border= btnborderstyle; 
           btnok.style.background=btnbgcolor;
           btnok.style.cursor="pointer"; 
           
           //确定事件
           btnok.onclick=function(){ 
                  document.getElementById("msgDiv").removeChild(btnok);
                  //提交
                    var theForm = document.forms['form1'];
                  if (!theForm) {
                      theForm = document.form1;
                  }
                  if (!theForm.onsubmit || (theForm.onsubmit() != false)) {
                    if(document.getElementById("__EVENTTARGET"))
                    {
                        theForm.__EVENTTARGET.value = eTarget;
                        theForm.__EVENTARGUMENT.value = '';                
                        theForm.submit();
                        //服务器返回之前
                        title.innerHTML="系统提示";
                        txt.innerHTML="数据处理中，请稍等...";
                        msgObj.style.height ="100px";  
                    }               
                  }
                 } 
           
           document.getElementById("msgDiv").appendChild(btnok);  
       }
       else if(selecttype==2)//确定,取消
       {
           //确定
           var btnok=document.createElement("a"); 
           btnok.innerHTML="確定";
           btnok.style.marginTop="10px";
           btnok.style.marginBottom="5px";        
           btnok.style.width = "40px"; 
           btnok.style.height ="20px"; 
           btnok.style.border= btnborderstyle; 
           btnok.style.background=btnbgcolor;
           btnok.style.cursor="pointer"; 
           
           //取消
           var btncancel=document.createElement("a"); 
           btncancel.innerHTML="取消";
           btncancel.style.marginTop="10px";
           btncancel.style.marginBottom="5px";        
           btncancel.style.width = "40px"; 
           btncancel.style.height ="20px"; 
           btncancel.style.border= btnborderstyle; 
           btncancel.style.background=btnbgcolor;
           btncancel.style.cursor="pointer"; 
           btncancel.style.marginLeft="5px";
           
           //确定事件
           btnok.onclick=function(){ 
                  document.getElementById("msgDiv").removeChild(btnok);
                  document.getElementById("msgDiv").removeChild(btncancel); 
                  //提交
                   var theForm = document.forms['form1'];
                  if (!theForm) {
                      theForm = document.form1;
                  }
                  if (!theForm.onsubmit || (theForm.onsubmit() != false)) {
                    if(document.getElementById("__EVENTTARGET"))
                    {
                        theForm.__EVENTTARGET.value = eTarget;
                        theForm.__EVENTARGUMENT.value = '';                
                        theForm.submit();
                        //服务器返回之前
                        title.innerHTML="系统提示";
                        txt.innerHTML="数据处理中，请稍等...";
                        msgObj.style.height ="100px";  
                    }                
                  }
                 } 
           
           //取消事件      
           btncancel.onclick=function(){ 
                  document.body.removeChild(bgObj); 
                  document.getElementById("msgDiv").removeChild(title); 
                  document.getElementById("msgDiv").removeChild(btnok);
                  document.getElementById("msgDiv").removeChild(btncancel); 
                  document.body.removeChild(msgObj); 
                  //取消后执行
                  if(cancelfun!=null&&cancelfun!='')
                  {
                      cancelfun();
                  }
                  return false;
                 } 
           
           document.getElementById("msgDiv").appendChild(btnok);       
           document.getElementById("msgDiv").appendChild(btncancel);
       }
       return false;   
}